/* Copyright 2003,2004 Geoff Archer
 *
 * This file is part of ForceRemap.
 *
 * ForceRemap is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ForceRemap is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ForceRemap; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <windows.h>

static OPENFILENAME ofn;

void FileDlg_Init(void)
	{
	ofn.lStructSize       = sizeof(OPENFILENAME);
	ofn.hwndOwner         = NULL;        // Set in Open and Close functions
	ofn.hInstance         = NULL;
	ofn.lpstrFilter       = NULL;        // Set in Open and Close functions
	ofn.lpstrCustomFilter = NULL;
	ofn.nMaxCustFilter    = 0;
	ofn.nFilterIndex      = 0;
	ofn.lpstrFile         = NULL;        // Set in Open and Close functions
	ofn.nMaxFile          = _MAX_PATH;
	ofn.lpstrFileTitle    = NULL;        // Set in Open and Close functions
	ofn.nMaxFileTitle     = _MAX_FNAME;
	ofn.lpstrInitialDir   = NULL;
	ofn.lpstrTitle        = NULL;
	ofn.Flags             = 0;           // Set in Open and Close functions
	ofn.nFileOffset       = 0;
	ofn.nFileExtension    = 0;
	ofn.lpstrDefExt       = "3do";
	ofn.lCustData         = 0L;
	ofn.lpfnHook          = NULL;
	ofn.lpTemplateName    = NULL;
	}

BOOL FileDlg_GetOpenPathname(HWND hwndParam, PSTR pstrPathname, PSTR pstrTitlename, char *szFilter)
	{
	ofn.hwndOwner         = hwndParam;
	ofn.lpstrFilter       = szFilter;
	ofn.lpstrFile         = pstrPathname;
	ofn.lpstrFileTitle    = pstrTitlename;
	ofn.Flags             = OFN_FILEMUSTEXIST | OFN_PATHMUSTEXIST | OFN_HIDEREADONLY;

	return GetOpenFileName(&ofn);
	}

BOOL FileDlg_GetSavePathname(HWND hwndParam, PSTR pstrPathname, PSTR pstrTitlename, char *szFilter)
	{
	ofn.hwndOwner         = hwndParam;
	ofn.lpstrFilter       = szFilter;
	ofn.lpstrFile         = pstrPathname;
	ofn.lpstrFileTitle    = pstrTitlename;
	ofn.Flags             = OFN_OVERWRITEPROMPT | OFN_PATHMUSTEXIST | OFN_HIDEREADONLY;

	return GetSaveFileName(&ofn);
	}
